class HomeSlideBannerModel {
  List<HomeSlideBannerModelItems> items;

  HomeSlideBannerModel({this.items});

  HomeSlideBannerModel.fromJson(Map<String, dynamic> json) {
    if (json['6'] != null) {
      items = new List<HomeSlideBannerModelItems>();
      json['6'].forEach((v) {
        items.add(new HomeSlideBannerModelItems.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.items != null) {
      data['6'] = this.items.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class HomeSlideBannerModelItems {
  String modId;
  String modPid;
  String modName;
  String position;
  String title;
  String subtitle;
  String url;
  String margin;
  String aspectRatio;
  String icon;
  String img;
  String fontColor;
  String bgImg;
  String bgColor;
  String bgColorT;
  String badge;
  String path;
  String data;
  String sort;
  String isGlobal;

  HomeSlideBannerModelItems(
      {this.modId,
        this.modPid,
        this.modName,
        this.position,
        this.title,
        this.subtitle,
        this.url,
        this.margin,
        this.aspectRatio,
        this.icon,
        this.img,
        this.fontColor,
        this.bgImg,
        this.bgColor,
        this.bgColorT,
        this.badge,
        this.path,
        this.data,
        this.sort,
        this.isGlobal});

  HomeSlideBannerModelItems.fromJson(Map<String, dynamic> json) {
    modId = json['mod_id']?.toString();
    modPid = json['mod_pid']?.toString();
    modName = json['mod_name']?.toString();
    position = json['position']?.toString();
    title = json['title']?.toString();
    subtitle = json['subtitle']?.toString();
    url = json['url']?.toString();
    margin = json['margin']?.toString();
    aspectRatio = json['aspect_ratio']?.toString();
    icon = json['icon']?.toString();
    img = json['img']?.toString();
    fontColor = json['font_color']?.toString();
    bgImg = json['bg_img']?.toString();
    bgColor = json['bg_color']?.toString();
    bgColorT = json['bg_color_t']?.toString();
    badge = json['badge']?.toString();
    path = json['path']?.toString();
    data = json['data']?.toString();
    sort = json['sort']?.toString();
    isGlobal = json['is_global']?.toString();
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['mod_id'] = this.modId;
    data['mod_pid'] = this.modPid;
    data['mod_name'] = this.modName;
    data['position'] = this.position;
    data['title'] = this.title;
    data['subtitle'] = this.subtitle;
    data['url'] = this.url;
    data['margin'] = this.margin;
    data['aspect_ratio'] = this.aspectRatio;
    data['icon'] = this.icon;
    data['img'] = this.img;
    data['font_color'] = this.fontColor;
    data['bg_img'] = this.bgImg;
    data['bg_color'] = this.bgColor;
    data['bg_color_t'] = this.bgColorT;
    data['badge'] = this.badge;
    data['path'] = this.path;
    data['data'] = this.data;
    data['sort'] = this.sort;
    data['is_global'] = this.isGlobal;
    return data;
  }
}
